commit 878435e60f9afb4857f3af45e6fce910ebbcaf6c
Author: Arnold D. Robbins <arnold@skeeve.com>
Date:   Wed Sep 21 22:07:39 2022 +0300

    Add pma support for systems without MAP_NORESERVE.

diff --git a/doc/ChangeLog b/doc/ChangeLog
index 4862ae7d..2c988426 100644
--- a/doc/ChangeLog
+++ b/doc/ChangeLog
@@ -1,3 +1,8 @@
+2022-09-21         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* gawktexi.in (Persistent Memory): Document that FreeBSD 13 and
+	OpenBSD 7 are supported.
+
 2022-09-17         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* gawktexi.in (Extension Sample Read write array): Clarify how readall
diff --git a/doc/gawktexi.in b/doc/gawktexi.in
index 3faefbee..9e85e1bb 100644
--- a/doc/gawktexi.in
+++ b/doc/gawktexi.in
@@ -29949,7 +29949,8 @@ $ @kbd{gawk --version}
 If you see the @samp{PMA} with a version indicator, then it's supported.
 
 As of this writing, persistent memory has only been tested on GNU/Linux,
-Cygwin, Solaris 2.11, and Mac OS systems. On others, your mileage may
+Cygwin, Solaris 2.11, Mac OS, FreeBSD 13.1 and OpenBSD 7.1.
+On others, your mileage may
 vary, and/or you may need to investigate how to make it work for you.
 
 To use persistent memory, follow these steps:
diff --git a/m4/ChangeLog b/m4/ChangeLog
index bf60520f..705d8375 100644
--- a/m4/ChangeLog
+++ b/m4/ChangeLog
@@ -1,3 +1,7 @@
+2022-09-21         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* pma.m4: Allow FreeBSD 13 and OpenBSD 7.
+
 2022-09-04         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* 5.2.0: Release tar ball made.
diff --git a/m4/pma.m4 b/m4/pma.m4
index 96620ca5..0a8afef9 100644
--- a/m4/pma.m4
+++ b/m4/pma.m4
@@ -27,13 +27,19 @@ then
 			LDFLAGS="${LDFLAGS} -Xlinker -no_pie"
 			export LDFLAGS
 			;;
-		*cygwin* | *CYGWIN* | *solaris2.11* )
-			true	# nothing do, Cygwin and Solaris exes are not PIE
+		*cygwin* | *CYGWIN* | *solaris2.11* | freebsd13.* | openbsd7.* )
+			true	# nothing do, exes on these systems are not PIE
 			;;
 		# Other OS's go here...
 		*)
 			# For now, play it safe
 			use_persistent_malloc=no
+
+			# Allow override for testing on new systems
+			if test "$REALLY_USE_PERSIST_MALLOC" != ""
+			then
+				use_persistent_malloc=yes
+			fi
 			;;
 		esac
 	else
diff --git a/support/ChangeLog b/support/ChangeLog
index c7f65181..c1e3b234 100644
--- a/support/ChangeLog
+++ b/support/ChangeLog
@@ -1,3 +1,9 @@
+2022-09-21         Arnold D. Robbins     <arnold@skeeve.com>
+
+	* pma.c: Add define for MAP_NORESERVE to zero if it's not defined.
+	Modify the version string.
+	* pma.h: Modify the version string.
+
 2022-09-04         Arnold D. Robbins     <arnold@skeeve.com>
 
 	* 5.2.0: Release tar ball made.
diff --git a/support/pma.c b/support/pma.c
index c89dd6b7..e9f3b092 100644
--- a/support/pma.c
+++ b/support/pma.c
@@ -43,8 +43,12 @@
 
 #include "pma.h"
 
+#ifndef MAP_NORESERVE
+#define MAP_NORESERVE 0
+#endif /* MAP_NORESERVE */
+
 // Software version; not the same as backing file format version.
-const char pma_version[] = "2022.08Aug.03.1659520468 (Avon 7)";
+const char pma_version[] = "2022.08Aug.03.1659520468 (Avon 7-g1)";
 
 #define S(s) #s
 #define S2(s) S(s)
diff --git a/support/pma.h b/support/pma.h
index c8afdf9c..29263ae6 100644
--- a/support/pma.h
+++ b/support/pma.h
@@ -23,7 +23,7 @@
 #define PMA_H_INCLUDED
 
 // version strings of interface and implementation should match
-#define PMA_H_VERSION "2022.08Aug.03.1659520468 (Avon 7)"
+#define PMA_H_VERSION "2022.08Aug.03.1659520468 (Avon 7-g1)"
 extern const char pma_version[];
 
 /* May contain line number in pma.c where something went wrong if one

